FlashCapture Version 1.5 End-User License Agreement
Copyright(c) 2002-2003 Dreamingsoft, Inc.
All Rights Reserved

Installing and using this Software signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license, you must remove this Software from your storage devices and cease to use this product.

The Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The Software is licensed, not sold and always remains the property of Dreamingsoft, Inc.

DEFINITIONS
For the purpose of this Agreement, "Software" shall mean the software identified above, including but not limited to any updates, modifications, revisions, copies, and associated documentation provided by Dreamingsoft, Inc.

GRANT OF LICENSE
Evaluation Terms and Conditions
You may use this Software solely for evaluation purposes without charge for a period of fourteen (14) days. You are free to distribute exact copies of the Software to anyone. You are prohibited from selling, or requesting donations, for any copies of the Software you distribute. You must include a copy of this license with any copy of the Software. You may not remove or alter any identification, proprietary notice, label, or trademarks which appear on or in the Software. Continued use of the Software after the fourteen (14) day evaluation period requires purchase of a full license. For more information about payment methods, please see ORDER.TXT, included with the Software.

Full License Terms and Conditions
Once registered, you are granted a non-exclusive license to use the Software on one or more computers, or allow multiple persons to nonsimultaneously use the Software on a single computer, but not both. This is not a concurrent use license. If the Software is installed on a network server and accessed by multiple workstations, you must purchase a license for each computer on which the Software is used. You may not provide third parties access to the Software in connection with a service bureau, application service provider, or similar business. The registered Software may not be rented or leased but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

All rights of any kind in the Software which are not expressly granted in this license are entirely and exclusively reserved to and by Dreamingsoft, Inc.

RESTRICTIONS
THE SOFTWARE CANNOT BE MODIFIED. YOU MAY NOT DECOMPILE, DISASSEMBLE OR OTHERWISE ATTEMPT TO ACCESS THE SOURCE CODE OF THE SOFTWARE; EXCEPT AND ONLY TO THE EXTENT PERMITTED APPLICABLE LAW NOTWITHSTANDING THIS LIMITATION.

The information contained in the Software is confidential and proprietary to Dreamingsoft, Inc., and Dreamingsoft, Inc. retain title to all copyright, patent, trademark, trade secrets, and other proprietary rights embodied in or related to the Software.

TERMINATION
Failure to comply with any provision provided in this Agreement or the use of the Software in a way not authorized or permitted under this Agreement will result in an automatic termination of this license.

Dreamingsoft, Inc. may, at its sole discretion, terminate this Agreement, the license granted herein, and your right to use or access the Software at any time.

On termination, you must destroy all copies of the Software.

UPGRADES, MAINTENANCE AND SUPPORT
During the term of this Agreement, Dreamingsoft, Inc. is under no obligation to provide upgrades, maintenance, or installation for the Software. Dreamingsoft, Inc. may provide support for the Software as governed by the documentation, and other Dreamingsoft, Inc. materials related to and included with the Software. Dreamingsoft, Inc. reserves the right to revoke or modify support provided for the Software at any time, for any or no reason.

DISCLAIMER OF WARRANTY
THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY WARRANTY OF QUALITY, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. DREAMINGSOFT, INC. DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS, OR THAT IT WILL OPERATE UNINTERRUPTED OR ERROR-FREE.

NOTHING IN THIS AGREEMENT SHALL BE CONSTRUED AS A WARRANTY OR A REPRESENTATION BY DREAMINGSOFT, INC. THAT THE SOFTWARE WILL BE FREE FROM INFRINGEMENT OF THE INTELLECTUAL PROPERTY RIGHTS OF A THIRD PARTY. DREAMINGSOFT, INC. HEREBY EXPRESSLY DISCLAIMS AND SHALL NOT BE RESPONSIBLE FOR ANY LIABILITY ARISING AS A RESULT OF OR IN CONNECTION WITH ANY CLAIM OR SUIT ALLEGING THAT THE DISTRIBUTION OR USE OF THE SOFTWARE INFRINGES THE RIGHT OF ANY THIRD PARTY.

IN NO EVENT WILL DREAMINGSOFT, INC. BE LIABLE FOR LOSS OF DATA, COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES OR ANY SPECIAL, CONSEQUENTIAL OR INCIDENTAL DAMAGES, UNDER ANY CAUSE OF ACTION AND REGARDLESS OF WHETHER OR NOT DREAMINGSOFT, INC. HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THIS LIMITATION WILL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY PROVIDED HEREIN. IN ANY EVENT, DREAMINGSOFT, INC.'S LIABILITY ARISING OUT OF THIS AGREEMENT, THE TERMINATION THEREOF, AND/OR THE PROVISION OF GOODS OR SERVICES HEREUNDER WILL BE LIMITED TO THE GREATER OF U.S. $1.00 OR THE AMOUNT PAID BY YOU FOR THE LICENSED SOFTWARE.

Copyright © 2002-2003 Dreamingsoft, Inc.
All rights reserved.


What's new

Version 1.5

  • Added PNG format support to snapshot function
  • Added snapshot to clipboard command
  • Added window frame flicker effect when point to Flash
  • Show reminder when transparent Flash is detected
  • Show reminder when floating toolbar is shown
  • Added an empty cache button in the Save Selected Flashes dialog
  • Rewrote help document

Version 1.2

  • Added snapshot function
  • Added downloading function if Flash was not founded in local cache
  • Added local cache browser

Version 1.1

  • Added email Flash command
  • Added Save Selected Flashes dialog
  • Added save to command

Version 1.0

  • First public release


What is FlashCapture?

Do you ever experience the following things?

  • Reading Flash based charts
  • Studying of Flash presentations
  • Receiving Flash e-cards
  • Watching comic Flash movies
  • Playing exciting Flash games
  • ...

Want to save those Flash files?

FlashCapture is the right tool you are looking for. This Internet Explorer add-on tool enables you to save, snapshot, email, and categorize Flash files (.swf) in just one click.


Benefits

Saving time
Instead of digging into "Temporary Internet Files" folder, and struggling with hundreds of cached items, you can save Flash with just one click!

Capturing in place
By integrating with IE, it allows you to save Flash in a WYSIWYG (What you see is what you get) manner, without interrupting your internet surfing.

Making Report easier
By taking snapshots of Flash based charts, you can easily enrich your report.

Sharing happiness
You can e-mail those comic Flash files to your friends immediately and share happiness with them.


System requirements

Minimum system requirements:

Windows 98/Me/2000/XP with IE 5 or higher


What is floating toolbar, flicker effect, context menu and extension button

The terms floating toolbar, flicker effect, context menu and extension button are used throughout the user interface and help. The following topic explains these terms.

Floating toolbar
The floating toolbar is a small window. It will appear over the corner of a Flash, when you point to the Flash. By this way, it gives you a visual feedback – saving the Flash if you want.

Flicker effect
If you point to a Flash, the border of that Flash will flicker. This is what we called flicker effect. By this means, you can tell the size of Flash snapshot area.

Context menu
FlashCapture added its own context menu items besides the original one. These extra items are especially useful if the floating toolbar has been disabled.

Extension button
FlashCapture also added an extension button to IE toolbar. By clicking on the extension button, you can save multiple Flash files from the current web page or IE local cache.


What is transparent Flash

Technically there are two choices to insert Flash into a web page: transparent mode or window mode. So the transparent Flash is a Flash in transparent mode. In most cases, the transparent Flash has a non rectangle shape and a transparent background.

Note: The floating toolbar, context menu and flicker effect doesn’t work with transparent Flash. If you'd like to save a transparent Flash, please use the extension button.


What is nested Flash

Flash was used for making vivid web pages, but sometimes the size is also matter. To reduce the time of downloading, nested Flash was introduced.

One by one mode
Non interactive Flash is split into several pieces simply, and then be played back one by one. The next piece will be loaded only after the previous one has been played back to the end.

Side by side mode
Interactive Flash is split according to their contents, and related frames are grouped into one piece. Depends on your interaction, the skeleton Flash will load different sub-Flash side by side.

Note: To save them, please refer Saving nested Flash files from a web page.


How to Install / Uninstall

Installation
Extract the downloaded zip file (flashcap.zip) to a temporary directory, then execute setup.exe.

Uninstallation
Open 'Add/Remove Programs' in Control Panel and double-click on 'FlashCapture xx' in the list box.


How to disable floating toolbar

Floating toolbar can be disabled by the following steps:

Click on the button of the floating toolbar, and then select options command.

Clear the item - Show floating toolbar, and press OK.

Note: If you want to enable floating toolbar later, please find the options command at context menu or extension button.


How to disable flicker effect

Flicker effect can be disabled by the following steps:

Right click on Flash, and then select options command.

Clear the item - Flicker the window frame, and press OK.


How to play back Flash files

You can play back the downloaded Flash files by the following two ways:

Using Internet Explorer
Drag the Flash file into an Internet Explorer window, and you will see it immediately.

Using Webisode Viewer Ultra
Webisode Viewer Ultra is a free utility to play back Flash, which providing you full control on playing back.


Saving a single Flash from a web page

Note: If the floating toolbar was disabled, please use context menu.

By floating toolbar
Point to the Flash you want to save, a floating toolbar will appear over the corner of that Flash.

Click on the button of the floating toolbar.

Select Save Flash As… command, if you want to specify the file name and location.
Select the folder name under Save Flash To command, the Flash will be silently saved to the selected folder with its default name.

Note: To modify the folder items under Save Flash To command, please select Go To My Flash Files command and add / remove subfolders.

By Context menu
Right click on the Flash you want to save

Select Save Flash As… command, if you want to specify the file name and location.
Select the folder name under Save Flash To command, the Flash will be silently saved to the selected folder with its default name.

Note: To modify the folder items under Save Flash To command, please select Go To My Flash Files command and add / remove subfolders.


Saving multiple Flash files from a web page

Click on the extension button.

Select the Flash files you want to save, and click Save.


Saving transparent Flash from a web page

Note: A reminder dialog will be popped up if transparent Flash files are detected.

Click on the extension button.

Select the Flash files you want to save, and click Save.


Saving nested Flash files from a web page

Make sure you've viewed every part of that nested Flash.

Click on the extension button.

Switch to IE Local Cache tab, and select the Flash files you want to save, then click Save.

Note: To reduce the number of listed Flash files, please empty the local cache first, and visit that nested Flash again. To empty local cache, click Delete Files... button of the Internet Options dialog.


Where is the executable file

FlashCapture has no individual executable file, but seamlessly integrated with Internet Explorer. That means after FlashCapture has been installed, it will be launched automatically with Internet Explorer.

Note: To check the installation, please visit a web page contains Flash. If the installation is correct, you should find the floating toolbar, flicker effect, context menu and extension button that only provided by FlashCapture.


Why only a small portion of Flash was played back

Here are some possible reasons:

Nested Flash
To reduce the downloading time, some web sites using nested Flash.

Note: To save all the contents of nested Flash, please refer Saving nested Flash files from a web page.

Protected Flash
Protected Flash will prevent themselves from being played back offline, and show you the loading screen endlessly.

Note: This is a playback problem, not a saving problem.


Why I can't find the floating toolbar

Here are some possible reasons:

The floating toolbar has been disabled.
To enable the floating toolbar again, please refer How to disable floating toolbar for more information.

The visible rectangle of Flash was too small to display the floating toolbar.
Anyway, you can still save it by using context menu and extension button.

This is a transparent Flash.
Floating toolbar does not work with transparetn Flash, please refer Saving transparent Flash from a web page for more information.


Why I can't find the extension button

The extension button will be automatically installed by default.

However if you have customized the Internet Explorer toolbar before, the extension button will not be displayed automatically, due the restriction of Ineternet Explorer.

Please use Internet Explorer Customize Toolbar dialog to enable it manually.


How to Order

FlashCapture is distributed as Shareware. You can freely download and try it for 14 days. If you find it useful and decide to keep it over 14-day evaluation period, you should pay the registration fee.

Dreamingsoft, Inc. is proud to offer you a 14-Day Money-Back Guarantee. If for any reason you are not satisfied, simply let us know within 14 days of your purchase and we will give you a full refund right away. It's that easy.

The registration of FlashCapture v1.5 costs $24.95 per license. For more information, please refer End User License Agreement.

You may register FlashCapture through our registration service which accepts various kinds of payment, eg: Credit Card, FAX Ordering, Postal Mail, Phone, Purchase Order and PayPal. Optional CD-ROM delivery and gift purchase are also available.

Please visit our ordering web site:
http://www.dreamingsoft.com/order.htm
For more information, please contact sales@dreamingsoft.com

The Benefits of Registration

  • Personal register key to unlock your copy into the registered version.
  • Full license to use the software beyond the 14-day evaluation period.
  • Free minor upgrading (e.g. 1.5 -> 1.8).
  • Discounted major upgrading (e.g. 1.5 -> 2.0).
  • Free technical support by e-mail.


How to upgrade

Please upgrade FlashCapture as follows:

  • Uninstall current version.
  • Download and install new version.

Note:
Minor upgrading (e.g. 1.2 -> 1.5):
Minor upgrading is free. If prompted, please use the original register key to active it.

Major upgrading (e.g. 1.5 -> 2.0):
Major upgrading is not free, however you will receive a special discount.


How to enter register key

Close all active Internet Explorer window first.

Then launch an Internet Explorer, click on the extension button.

Click on About button.

Click on Enter Key button.

Please paste Name and Key field from our email, and press OK.

Close the Internet Explorer window to finish the register process.


Feedback and support

You are important to us, it's our pleasure and honor to receive your comments and suggestions.
Please contact us as follows:

  • For company news, exchanging links, software promotion, and other general information, please contact webmaster@dreamingsoft.com.
  • For sales information, please contact sales@dreamingsoft.com.
  • For product information, technical support and software update, please contact support@dreamingsoft.com.

Bug Report
We are trying every effort to make FlashCapture bug free, but if you still encounter one, please contact us at support@dreamingsoft.com with the following information. We apologized for the inconvenience to you.

  • The installed version of FlashCapture
  • The installed type and version of your operation system
  • The installed version of Internet Explorer
  • URL related to this problem
  • The details of the problem you encountered. And if it is possible, please inform us how to reproduce it.
  • Please provide your registration code in case you are a registered user and our technical support staff will deal with your problem with priority.

Note: Please check our Troubleshooting section before sending out an email. Maybe your anwser is right there.